﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace ToggleButtonGroups
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DisplayToggleState();

            this.radToggleButton1.Click += new EventHandler(radToggleButton1_Click);
            this.radToggleButton2.Click += new EventHandler(radToggleButton1_Click);
            this.radToggleButton3.Click += new EventHandler(radToggleButton1_Click);

            this.radToggleButton1.ToggleStateChanged += new StateChangedEventHandler(radToggleButton1_ToggleStateChanged);
            this.radToggleButton2.ToggleStateChanged += new StateChangedEventHandler(radToggleButton1_ToggleStateChanged);
            this.radToggleButton3.ToggleStateChanged += new StateChangedEventHandler(radToggleButton1_ToggleStateChanged);
        }

        void radToggleButton1_ToggleStateChanged(object sender, StateChangedEventArgs args)
        {
            DisplayToggleState();
        }

        void radToggleButton1_Click(object sender, EventArgs e)
        {
           deSelect(sender);
        }

        void DisplayToggleState()
        {
            radTextBox1.Text = radToggleButton1.ToggleState.ToString();
            radTextBox2.Text = radToggleButton2.ToggleState.ToString();
            radTextBox3.Text = radToggleButton3.ToggleState.ToString();
        }

        void deSelect(object toggleButton)
        {
            for (int i = 0; i < this.Controls.Count; i++)
            {
                if ((this.Controls[i] is RadToggleButton)&&(this.Controls[i] != toggleButton))
                {
                    ((RadToggleButton)this.Controls[i]).ToggleState = Telerik.WinControls.Enumerations.ToggleState.Off;
                }
            }
        }
    }
}
